cURL
curl --request GET \ --url https://sandbox.api.rime.finance/v1/accounts/{account_id}/portfolio \ --header 'Authorization: Bearer <token>'
200
portfolio_holdings
{ "data": [ { "units_total": 120000, "units_redeemable": 70000, "units_locked": 50000, "isin": "NL1111111111", "breakdown": [ { "locked_until": "2026-01-15", "units": 50000, "amount": 1278000, "created_at": "2024-01-15", "is_locked": true }, { "locked_until": null, "units": 70000, "amount": 1789600, "created_at": "2024-03-15", "is_locked": false } ] }, { "units_total": 80000, "units_redeemable": 0, "units_locked": 80000, "isin": "LU0987654321", "breakdown": [ { "locked_until": "2025-12-31", "units": 80000, "amount": 2048000, "created_at": "2024-02-01", "is_locked": true } ] } ] }
Returns an aggregated list of asset holdings in an accounts portfolio. Assets of the same conditions (equal isin & lock_time) are aggregated together.
isin
lock_time
Bearer access token. Provide as a Authorization: Bearer <token> header.
Authorization: Bearer <token>
Portfolio holdings retrieved successfully
Show child attributes